package com.ruoyi.llm.service;

import com.alibaba.fastjson2.JSONArray;

import java.util.List;

public interface IMilvusService {

    /**
     * 新建知识库Collection（含Schema、Field、Index）
     */
    public void createCollection(String collectionName, String description, int dimension);

    /**
     * 查询知识库Collection
     */
    public JSONArray getCollectionNames();

    /**
     * 查询知识库Collection
     */
    public JSONArray listKnowLedgeByCollectionName(String collectionName);

    /**
     * 修改知识库Collection
     */
    public void collectionRename(String collectionName, String newCollectionName);

    /**
     * 删除知识库Collection
     */
    public void deleteCollectionName(String collectionName);

    /**
     * 查询知识库文件
     */
    public List<String> listDocument(String collectionName, String fileType);

    /**
     * 删除知识库文件
     */
    public void removeDocument(String collectionName, String fileName);

    /**
     * 删除知识库所有文件
     */
    public void removeAllDocument(String collectionName);

    /**
     * 列出所有的title
     */
    public List<String> listTiles(String collectionName);

    /**
     * 根据title名查询相关content
     */
    public JSONArray listByTitle(String collectionName, String title);

    /**
     * 根据文件名获取标题列表
     */
    public List<String> listTilesByFile(String collectionName, String fileName);
}
